UWP Community Toolkit
===========

The UWP Community Toolkit is a collection of XAML controls, behaviors and services collected to make building UWP applications for Windows 10 faster and easier than ever before.

##Windows 10 Store App
Want to see the controls and behaviors in action before jumping into the code?  We have published the [UWP Toolkit Sample Application](https://www.microsoft.com/store/apps/9nblggh4tlcq) to the Windows 10 store.  Download the app and play with the controls live to see what they do before ever writing a line of code.

## Questions / Feedback

TODO: (UserVoice? Forum entry?)

## Principles
 - Principle #1: As soon as a comparable toolkit control or a service is available in official SDK, we will plan to mark it as deprecated
 - Principle #2: We want to keep the toolkit useful and not bloated with too specific services that will become hard to maintain
 - Principle #3: All controls / services are supported for 2 Windows SDK release cycles or until another Principle supersedes it.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/). For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments. 

## Roadmap
Please find what we plan for next iteration [here](https://github.com/Microsoft/UWPCommunityToolkit/issues?q=is%3Aopen+is%3Aissue+milestone%3Av1.1)

##Getting started
[Getting Started with the UWP Toolkit](en-us/uwp-community-toolkit/get-started/get-started.md)

## NuGet Packages
[List of nuget packages](en-us/uwp-community-toolkit/get-started/nugetpackages.md) contains the list of nuget packages and what is included in each.

## Documentation
Even our documentation is open source!  If you would like to contribute please visit the [UWP Community Toolkit Documentation Repo on Github](https://github.com/Microsoft/UWPCommunityToolkit-docs/) and submit a pull request.

## Useful links
 - Official web site: https://developer.microsoft.com/en-us/windows/windows-apps/uwp-community-toolkit
 - Do you want to contribute? Here are our [contribution guidelines](https://github.com/Microsoft/UWPCommunityToolkit/blob/master/contributing.md)

## Controls and Features
To get a complete list of supported controls, services and features, please visit our [documentation website](...).
